<ui:composition template="/WEB-INF/template/LayoutPadrao.xhtml"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:p="http://primefaces.org/ui"
    xmlns:o="http://omnifaces.org/ui">

    <ui:define name="titulo">Nova Etapa</ui:define>
    
    <ui:define name="corpo">
    	<f:metadata>
			<o:viewParam name="etapa"  />
		</f:metadata>
    
    	<h1>Nova Etapa</h1>
    	
    	<h:form id="frmCadastro">
    		<p:growl id="messages" autoUpdate="true" closable="true" showDetail="true" />
    	
	    	<p:toolbar style="margin-top: 20px">
	    		<p:toolbarGroup>
	    			<p:commandButton value="Salvar" id="botaoSalvar" update="frmCadastro" action="#{cadastroEtapaBean.salvar()}" />
	    		</p:toolbarGroup>
	    		<p:toolbarGroup align="right">
					<p:button value="Pesquisa" outcome="/etapa/PesquisaEtapa"/>
				</p:toolbarGroup>
	    	</p:toolbar>
	    	
	    	<h:panelGrid columns="2" id="painel" style="width: 100%; margin-top: 20px; "  columnClasses="rotulo, campo">
	    		
				<p:outputLabel value="Descrição" for="descricao" />
				<p:inputText id="descricao" value="#{cadastroEtapaBean.entidade.descricao}" size="50" />
				
				<p:outputLabel value="Idade Mínima" />
				<h:panelGrid columns="1">
					<p:inputText id="idadeMinima" value="#{cadastroEtapaBean.entidade.idadeMinima}" />
					<p:slider for="idadeMinima" maxValue="50" />
				</h:panelGrid>
				
				<p:outputLabel value="Idade Máxima" />
				<h:panelGrid columns="1">
					<p:inputText id="idadeMaxima" value="#{cadastroEtapaBean.entidade.idadeMaxima}" />
					<p:slider for="idadeMaxima" maxValue="50" />
				</h:panelGrid>
				
	    	</h:panelGrid>
	    	
	    	
	    	
    	</h:form>
    </ui:define>
</ui:composition>